using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Filters;

namespace Infrastructure.Filters
{
  public class CustomExceptionFilter : IExceptionFilter
  {
    public void OnException(ExceptionContext context)
    {
      // FIXME en théorie, on aurait levé une exception personnalisée beaucoup
      // moins globale pour éviter de catcher des choses non pertinentes.
      if (context.Exception is System.InvalidOperationException)
      {
        context.Result = new NotFoundResult();
      }
    }
  }
}